/*
 * FIFO.h
 *
 * Created: 17/08/2017 11:19:57
 *  Author: Luca
 *
 * a simple circular FIFO abstract object 
 * static array implementation
 *
 */ 

#ifndef FIFO_H_
#define FIFO_H_

void FIFO_init(void);

int TX_FIFO_is_empty(void);
int TX_FIFO_is_full(void);
int TX_FIFO_put(char data);
int TX_FIFO_get(char *data);

int RX_FIFO_is_empty(void);
int RX_FIFO_is_full(void);
int RX_FIFO_put(char data);
int RX_FIFO_get(char *data);

#endif /* FIFO_H_ */